#ifndef TISSUEPARAMETERS_H
#define TISSUEPARAMETERS_H

#include <dolfin.h>

using namespace dolfin;

class TissueParameters
{
public:
    TissueParameters() {}
    TissueParameters(
            real sigma0,
            real sigma1,
            real kappa0,
            real kappa1,
            real specificHeat0,
            real specificHeat1,
            real density) :
        sigma0(sigma0),
        sigma1(sigma1),
        kappa0(kappa0),
        kappa1(kappa1),
        specificHeat0(specificHeat0),
        specificHeat1(specificHeat1),
        density(density) {}
    virtual ~TissueParameters () {}

    real getSigma0() const {return sigma0;}
    void setSigma0(const real x) {sigma0 = x;}
    real getSigma1() const {return sigma1;}
    void setSigma1(const real x) {sigma1 = x;}
    real getKappa0() const {return kappa0;}
    void setKappa0(const real x) {kappa0 = x;}
    real getKappa1() const {return kappa1;}
    void setKappa1(const real x) {kappa1 = x;}
    real getSpecificHeat0() const {return specificHeat0;}
    void setSpecificHeat0(const real x) {specificHeat0 = x;}
    real getSpecificHeat1() const {return specificHeat1;}
    void setSpecificHeat1(const real x) {specificHeat1 = x;}
    real getDensity() const {return density;}
    void setDensity(const real x) {density = x;}

private:
    real sigma0;
    real sigma1;
    real kappa0;
    real kappa1;
    real specificHeat0;
    real specificHeat1;
    real density;
};

#endif /* end of include guard: TISSUEPARAMETERS_H */
